"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertNotBlank = exports.assertBlank = exports.assertNotEmpty = exports.assertEmpty = exports.assertNotNull = exports.assertNull = exports.assertFalse = exports.assertTrue = exports.asAssert = exports.fireAssert = void 0;
const lodash_1 = __importDefault(require("lodash"));
const ObjectUtils_1 = require("./ObjectUtils");
const fireAssert = (message) => {
    console.log(`${message}`);
};
exports.fireAssert = fireAssert;
const asAssert = (messageTemplate, opts = {}) => fireAssert(messageTemplate ? lodash_1.default.template(messageTemplate)(opts) : "assert some error~~~");
exports.asAssert = asAssert;
const assertTrue = (value, message, opts = {}) => {
    if (lodash_1.default.isNil(value) || value === false) {
        asAssert(message, opts);
    }
    if (lodash_1.default.isFunction(value)) {
        assertTrue(value(), message, opts);
    }
    return value;
};
exports.assertTrue = assertTrue;
const assertFalse = (value, message, opts = {}) => assertTrue(!value, message, opts);
exports.assertFalse = assertFalse;
const assertNull = (value, message, opts = {}) => assertTrue((0, ObjectUtils_1.suspectedNil)(value), message, opts);
exports.assertNull = assertNull;
const assertNotNull = (value, message, opts = {}) => assertTrue(!(0, ObjectUtils_1.suspectedNil)(value), message, opts);
exports.assertNotNull = assertNotNull;
const assertEmpty = (value, message, opts = {}) => assertNull(value, message, opts);
exports.assertEmpty = assertEmpty;
const assertNotEmpty = (value, message, opts = {}) => assertNotNull(value, message, opts);
exports.assertNotEmpty = assertNotEmpty;
const assertBlank = (value, message, opts = {}) => assertNull(value, message, opts);
exports.assertBlank = assertBlank;
/**
 *当value为空的时候警告
 * @param value
 * @param message
 * @param opts
 */
const assertNotBlank = (value, message, opts = {}) => assertNotNull(value, message, opts);
exports.assertNotBlank = assertNotBlank;
//# sourceMappingURL=AssertUtils.js.map