"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.binToBase58 = exports.base58ToBin = exports.base58ToHex = exports.hexToBase58 = exports.decodeBase58 = exports.encodeBase58 = void 0;
const bs58_1 = __importDefault(require("bs58"));
/**
 *
 * @param param 输入
 */
function encodeBase58(param) {
    let p;
    if (typeof param === "string") {
        p = Buffer.from(param, "utf-8");
    }
    else if (param instanceof Uint8Array) {
        p = param;
    }
    return bs58_1.default.encode(p);
}
exports.encodeBase58 = encodeBase58;
const decodeBase58 = (str) => bs58_1.default.decode(str);
exports.decodeBase58 = decodeBase58;
const hexToBase58 = (str) => encodeBase58(Buffer.from(str, "hex"));
exports.hexToBase58 = hexToBase58;
const base58ToHex = (str) => Buffer.from(decodeBase58(str)).toString("hex");
exports.base58ToHex = base58ToHex;
const base58ToBin = (str) => encodeBase58(Buffer.from(str, "binary"));
exports.base58ToBin = base58ToBin;
const binToBase58 = (str) => Buffer.from(decodeBase58(str)).toString("binary");
exports.binToBase58 = binToBase58;
//# sourceMappingURL=Base58Utils.js.map