"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.nowString = exports.formatTime = exports.parseDateTime = exports.parseDate = exports.renderDateColumnTime = exports.dateTimeRenderProvider = exports.renderDateTime = exports.renderDateColumnDate = exports.dateRenderProvider = exports.renderDate = exports.formatDate = exports.formatDateTime = exports.format = void 0;
const lodash_1 = __importDefault(require("lodash"));
const moment_1 = __importDefault(require("moment"));
const ExceptionUtils_1 = require("./ExceptionUtils");
const parseDateTime = (s = null) => {
    let result;
    if (lodash_1.default.isNil(s)) {
        result = null;
    }
    else if (!lodash_1.default.isNaN(lodash_1.default.toNumber(s))) {
        result = (0, moment_1.default)(lodash_1.default.toNumber(s)).toDate();
    }
    else {
        result = (0, moment_1.default)(s).toDate();
    }
    return result;
};
exports.parseDateTime = parseDateTime;
const parseDate = parseDateTime;
exports.parseDate = parseDate;
const format = ({ m, patten }) => (m && (0, moment_1.default)(m).format(patten)) || null;
exports.format = format;
const formatDate = (m) => format({ m, patten: "YYYY-MM-DD" });
exports.formatDate = formatDate;
const formatDateTime = (m) => format({ m, patten: "YYYY-MM-DD HH:mm:ss" });
exports.formatDateTime = formatDateTime;
const formatTime = (m) => format({ m, patten: "HH:mm:ss" });
exports.formatTime = formatTime;
const renderDate = (t) => formatDate(t);
exports.renderDate = renderDate;
const dateRenderProvider = (field = null, ignoreText = false) => (t, r) => {
    let value = t;
    if (ignoreText) {
        (0, ExceptionUtils_1.exceptNotEmpty)(field, "field must be not empty");
        value = r[field];
    }
    else if (lodash_1.default.isEmpty(value) && !lodash_1.default.isEmpty(field)) {
        value = r[field];
    }
    return formatDate(value);
};
exports.dateRenderProvider = dateRenderProvider;
const renderDateTime = (t) => (lodash_1.default.isNil(t) ? "-" : formatDateTime(t));
exports.renderDateTime = renderDateTime;
const dateTimeRenderProvider = (field = null, ignoreText = false) => (t, r) => {
    let value = t;
    if (ignoreText) {
        (0, ExceptionUtils_1.exceptNotEmpty)(field, "field must be not empty");
        value = r[field];
    }
    else if (lodash_1.default.isEmpty(value) && !lodash_1.default.isEmpty(field)) {
        value = r[field];
    }
    return formatDateTime(value);
};
exports.dateTimeRenderProvider = dateTimeRenderProvider;
/* istanbul ignore next */
const renderDateColumnDate = (_a) => {
    var { dataIndex, title, width = "80px" } = _a, others = __rest(_a, ["dataIndex", "title", "width"]);
    return (Object.assign({ title, key: dataIndex, dataIndex,
        width, render: (t) => formatDate(t) }, others));
};
exports.renderDateColumnDate = renderDateColumnDate;
/* istanbul ignore next */
const renderDateColumnTime = (_a) => {
    var { dataIndex, title, width = "150px" } = _a, others = __rest(_a, ["dataIndex", "title", "width"]);
    return (Object.assign({ title, key: dataIndex, dataIndex,
        width, render: renderDateTime }, others));
};
exports.renderDateColumnTime = renderDateColumnTime;
const nowString = () => {
    return formatDateTime((0, moment_1.default)());
};
exports.nowString = nowString;
const todayString = () => {
    return formatDate((0, moment_1.default)());
};
//# sourceMappingURL=DateUtils.js.map