type ExceptArrayParam = {
    defaultValue?: object;
    separator?: string;
    transToArrayFn?: Function;
    ignoreFunction?: boolean;
    onlyPrimitive?: boolean;
};
type ExceptObjectParam = {
    defaultValue?: object;
    transToObjectFn?: Function;
    ignoreFunction?: boolean;
    onlyPrimitive?: boolean;
};
type ExceptStringParam = {
    defaultValue?: string;
    separator?: string;
    transToStringFn?: Function;
    ignoreFunction?: boolean;
    onlyPrimitive?: boolean;
};
/**
 * null, undefined, NaN  为空 ==> true
 * 字符串中 'null'(ignore case), 'undefined' (ignore case), '', 'NaN'  即为空 ==> true
 * [] {} 即为空  ==> true
 * boolean false 为空  ==> true
 * ----------------------------------------------------------------------
 * 其他为 非空 ==> false
 * 数字0  非空 ==> false
 * boolean true 非空 ==> false
 * @param value 输入
 */
declare const suspectedNil: (value: any) => boolean;
declare const isBlank: (v: any) => boolean;
declare const notBlank: (v: any) => boolean;
declare const string2Array: (str: any, opts?: ExceptArrayParam) => object;
declare const exceptArray: (v: any, opts?: ExceptArrayParam) => object;
declare const exceptString: (v: any, opts?: ExceptStringParam) => string;
declare const acceptFromString: (str: any, accept?: string) => any;
declare const transToString: (target: any, defaultValue?: any, opts?: ExceptObjectParam) => any;
declare const exceptObject: (v: any, opts?: ExceptObjectParam) => object;
declare const exceptBoolean: (target: any) => boolean;
export { acceptFromString, transToString, exceptArray, exceptString, exceptObject, exceptBoolean, suspectedNil, isBlank, notBlank, string2Array, };
