/**
 * 链接 URL 片段
 * @param all 所有参数
 */
declare const pathJoin: (...all: Array<string>) => string;
/**
 * 参数编码遮罩编码, 默认base64
 * @param value 遮罩目标
 * @param {Object} opts 配置项
 * @param {Function} opts.maskFn 遮罩函数 默认按Base64
 */
declare const encodeParam: (value: string, opts?: {
    encodeFn: (str: string) => string;
}) => string;
/**
 * 参数编码遮罩解码, 默认base64
 * @param value 解码目标
 * @param {Object} opts 配置项
 * @param {Function} opts.maskFn 解码函数 默认按Base64
 */
declare const decodeParam: (value: string, opts?: {
    decodeFn: (str: string) => string;
}) => string;
/**
 * 检测是否是绝对路径
 * @param str             输入
 * @param opts            可项
 * @param opts.protocol   检测协议, 默认为 ["http", "https", "ws"]
 * @return isAbsolute
 */
declare const isAbsolutePath: (str: any, opts?: {
    protocol: Array<string> | string;
}) => boolean;
declare const expandUrl: (url: string, params?: object | object[], opts?: {}) => string;
export { pathJoin, encodeParam, decodeParam, isAbsolutePath, expandUrl };
